Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::BidirectionalIterator Struct Reference
Inheritance diagram for ranges::v3::concepts::BidirectionalIterator:

## Public Member Functions
template<typename I >
auto | requires_ (I i) -> decltype(concepts::valid_expr(concepts::model_of< DerivedFrom, category_t< I >, ranges::bidirectional_iterator_tag >(), concepts::has_type< I & >(--i), concepts::has_type< I >(i--), concepts::same_type(*i, *i--)))
Public Member Functions inherited from ranges::v3::concepts::refines< ForwardIterator >
void | requires_ ()

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< ForwardIterator >
using | base_concepts_t = meta::list< Concepts... >